Bug 120865 - KDE5: Can't move down field to see text with breaks in LO Calc
Summary: KDE5: Can't move down field to see text with breaks in LO Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-24 09:56 UTC by Vera Blagoveschenskaya
Modified: 2019-04-04 22:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
video (11.35 MB, video/ogg)
2018-10-24 09:57 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vera Blagoveschenskaya 2018-10-24 09:56:39 UTC
Description:
Can't move down field to see text with breaks in LO Calc

Steps to Reproduce:
1. Open LO Calc, print text with breaks in the cell
2. Try to move down line field (in the top of document)

Actual Results:
No arrow is shown, bad moving

See video

Expected Results:
Normal moving down/up with an arrow


Reproducible: Always


User Profile Reset: No



Additional Info:
Reproduced for

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

DO NOT reproduced for

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: gtk3; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

Version: 6.1.2.1
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: ru-RU (ru_RU.UTF-8); Calc: group threaded
Comment 1 Vera Blagoveschenskaya 2018-10-24 09:57:37 UTC
Created attachment 145965 [details]
video
Comment 2 Xisco Faulí 2018-10-24 10:11:30 UTC
So the problem is the caret doesn't change its icon so we don't know we can make it bigger.
Actually, it's possible to make it bigger but then, I couldn't make it smaller again. Which GTK3 it can always be resized

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 3 Katarina Behrens (Inactive) 2018-10-24 12:03:37 UTC
Pro-tip: to expand Calc input line, click on the button with downward-pointing arrow (to the right from the line). To collapse it, click the same button again

But yep, confirming it can't be resized by dragging the mouse
Comment 4 Commit Notification 2019-04-01 13:20:57 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/330df37c7e2af0564bcd2de1f171bed4befcc074%5E%21

tdf#120865: preserve cursor shape on repositioning the cursor

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Weghorn 2019-04-03 16:54:29 UTC
I can confirm the cursor is shown now with

Version: 6.3.0.0.alpha0+
Build ID: 93f1c3665fcdc31c36078f179ac37fd69d3ebb00
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

It's still not fun to use it with a debug build, since it crashes due to bug 119626, but that's another issue.
Comment 6 Commit Notification 2019-04-04 22:06:33 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/7963a389dea1ff1a0c3a1910ae05ecc562597b13%5E%21

tdf#120865: preserve cursor shape on repositioning the cursor

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.